Subject: Re: [PATCH 2/3] archive: specfile support (--pretty=format: in archive files)

From: René Scharfe <[email-masked]>
Date: Wed, 05 Sep 2007 01:13:32 +0200

Johannes Schindelin schrieb:
> Hi,
> 
> On Tue, 4 Sep 2007, Andreas Ericsson wrote:
> 
>> Junio C Hamano wrote:
>>> René Scharfe <[email-masked]> writes:
>>>
>>>> The attribute is useful for creating auto-updating specfiles.  It is 
>>>> limited by the underlying function format_commit_message(), though. 
>>>> E.g. currently there is no placeholder for git-describe like output, 
>>>> and expanded specfiles can't contain NUL bytes.  That can be fixed 
>>>> in format_commit_message() later and will then benefit users of 
>>>> git-log, too.
>>> Interesting. I however wonder if "specfile" is a good name for this 
>>> attribute, although I admit I do not think of anything better offhand.
>> "releasefile", perhaps?
> 
> Maybe we should not so much name it by purpose, but by function.  How 
> about "substformat" for the attribute name, and replacing any 
> $Format:blablub$ inside those files with something a la 
> --pretty=format:blablub?

I like the $Format:...$ notation.  How about naming the attribute
"template", as that's what a thus marked file is?

René